Source: lwresd
Version: 9.8.1.dfsg-1
Severity: wishlist
Tags: patch
Here is a patch to add support for the "status" action to the init.d
script of lwresd.
diff -u bind9-9.8.1.dfsg/debian/lwresd.init bind9-9.8.1.dfsg/debian/lwresd.init
--- bind9-9.8.1.dfsg/debian/lwresd.init
+++ bind9-9.8.1.dfsg/debian/lwresd.init
@@ -52,6 +52,10 @@
fi
;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+
restart|force-reload)
$0 stop
sleep 2
@@ -59,7 +63,7 @@
;;
*)
- log_action_msg "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}"
+ log_action_msg "Usage: /etc/init.d/$NAME {start|stop|status|restart|force-reload}"
exit 1
;;
esac
diff -u bind9-9.8.1.dfsg/debian/changelog bind9-9.8.1.dfsg/debian/changelog
--- bind9-9.8.1.dfsg/debian/changelog
+++ bind9-9.8.1.dfsg/debian/changelog
@@ -1,3 +1,9 @@
+bind9 (1:9.8.1.dfsg-1.1) UNRELEASED; urgency=low
+
+ * Added support for "status" action to lwresd init script
+
+ -- Peter Eisentraut <[email protected]> Fri, 09 Dec 2011 19:28:44 +0200
+
bind9 (1:9.8.1.dfsg-1) unstable; urgency=low
[Internet Software Consortium, Inc]